package com.chinaitop.depot.intelligent.fumigation.service;

import com.chinaitop.depot.intelligent.fumigation.model.TFumigationAfter;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationAfterExample;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationProcess;
import com.chinaitop.depot.intelligent.fumigation.model.TFumigationProcessExample;

import java.util.List;
import java.util.Map;

/**
 * @author lvzhikai
 * @description: 熏蒸作业善后
 * @create 2019-1-21 11:00
 */
public interface FumigationAfterService {

    List<Map<String,Object>> getFumigationAfterList(Map<String, Object> map);

    void add(TFumigationAfter tFumigationAfter);

    void update(TFumigationAfter tFumigationAfter);

    TFumigationAfter findById(String afterId);

    void updateByExample(TFumigationAfter tFumigationAfter, TFumigationAfterExample example);

    /**
     * 获取作业列表
     * @param map
     * @return
     */
    List<Map<String,Object>> selectHomeWorkQueryList(Map<String, Object> map);
}
